%define upstream_name    Hash-FieldHash
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    A lightweight field hash implementation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Hash-FieldHash-0.15-Fix-building-on-Perl-without-dot-in-INC.patch

BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::LeakTrace) >= 0.70.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl(parent) >= 0.221.0
BuildRequires: perl-devel

%{?perl_default_filter}

%description
'Hash::FieldHash' provides the field hash mechanism which supports the
inside-out technique.

You may know 'Hash::Util::FieldHash'. It's a very useful module, but too
complex to understand all the functions and only available in 5.10.
'H::U::F::Compat' is available for pre-5.10, but it seems too slow to use.

This is an alternative to 'H::U::F' with following features:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Fix building on Perl without '.' in @INC
%patch0 -p1

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml LICENSE example
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.150.0-16.mga10
+ Revision: 2089630
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 0.150.0-15.mga10
+ Revision: 2012333
- Rebuild for perl-5.38

* Tue Aug 02 2022 tv <tv> 0.150.0-13.mga9
+ Revision: 1874704
- Rebuild b/c of "_xs_build/src/FieldHash.c: loadable library and perl binaries are mismatched (got first handshake key 0xeb00080, needed 0xeb80080)"
- Patch for perl w/o "." in @INC rather than use PERL_USE_UNSAFE_INC=1

* Thu Mar 17 2022 umeabot <umeabot> 0.150.0-12.mga9
+ Revision: 1796406
- Mageia 9 Mass Rebuild

* Mon Aug 02 2021 tv <tv> 0.150.0-11.mga9
+ Revision: 1738579
- Rebuild for perl-5.34 because of "_xs_build/src/FieldHash.c: loadable library
  and perl binaries are mismatched (got handshake key 0xed00080, needed 0xeb00080)"

* Sat Jul 18 2020 tv <tv> 0.150.0-10.mga8
+ Revision: 1606978
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-9.mga8
+ Revision: 1508338
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 tv <tv> 0.150.0-8.mga8
+ Revision: 1502863
- Mageia 8 Mass Rebuild (missed by umeabot)

* Fri Sep 21 2018 umeabot <umeabot> 0.150.0-7.mga7
+ Revision: 1293189
- Mageia 7 Mass Rebuild

* Tue Aug 21 2018 tv <tv> 0.150.0-6.mga7
+ Revision: 1253257
- adjust filelist
- rebuild for perl-5.28

* Mon Oct 02 2017 tv <tv> 0.150.0-5.mga7
+ Revision: 1164723
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.150.0-4.mga7
+ Revision: 1158227
- Rebuild for perl 5.26.1
+ pterjan <pterjan>
- Rebuild for perl ABI changes
- Rebuild for perl ABI changes

* Mon Jul 31 2017 sander85 <sander85> 0.150.0-1.mga7
+ Revision: 1133240
- update to 0.15

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-10.mga6
+ Revision: 1028194
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.140.0-9.mga6
+ Revision: 957458
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.140.0-8.mga6
+ Revision: 843291
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.140.0-7.mga5
+ Revision: 788554
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 741882
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.140.0-5.mga5
+ Revision: 733056
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 685023
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.140.0-3.mga5
+ Revision: 632273
- perl 5.20.0 rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.140.0-2.mga4
+ Revision: 537215
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.140.0-1.mga4
+ Revision: 486607
- update to 0.14

* Wed May 29 2013 jquelin <jquelin> 0.120.0-4.mga4
+ Revision: 431578
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-3.mga3
+ Revision: 368343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.120.0-2.mga3
+ Revision: 250753
- rebuild for perl 5.16

* Tue Nov 08 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 165446
- remove MYMETA from %%doc
- update to 0.12

* Thu Jun 30 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 116581
- imported package perl-Hash-FieldHash

